AOMedia AV1 Codec: RestorationInfo Struct Reference

| AOMedia AV1 Codec

Data Fields
RestorationInfo Struct Reference

Parameters related to Restoration Info. More...

`#include <restoration.h>`

## Data Fields
RestorationType | frame_restoration_type
int | restoration_unit_size
RestorationUnitInfo * | unit_info
RestorationStripeBoundaries | boundaries
int | optimized_lr
Fields allocated and initialised by av1_alloc_restoration_struct.
(horz_)units_per_tile give the number of restoration units in (one row of) the largest tile in the frame.
int | units_per_tile
int | vert_units_per_tile
int | horz_units_per_tile

## Detailed Description

Parameters related to Restoration Info.

## Field Documentation

## ◆ frame_restoration_type

RestorationType RestorationInfo::frame_restoration_type

Restoration type for frame

Referenced by encode_with_recode_loop_and_filter().

## ◆ restoration_unit_size

int RestorationInfo::restoration_unit_size

Restoration unit size

## ◆ units_per_tile

int RestorationInfo::units_per_tile

Number of units per tile for the largest tile in the frame

## ◆ vert_units_per_tile

int RestorationInfo::vert_units_per_tile

Number of vertical units per tile

## ◆ horz_units_per_tile

int RestorationInfo::horz_units_per_tile

Number of horizontal units per tile for the largest tile in the frame

## ◆ unit_info

RestorationUnitInfo* RestorationInfo::unit_info

List of info for units in tile. The data in unit_info is laid out with units_per_tile entries for each tile, which have stride horz_units_per_tile. Even if there are tiles of different sizes, the data in unit_info is laid out as if all tiles are of full size.

## ◆ boundaries

RestorationStripeBoundaries RestorationInfo::boundaries

Restoration Stripe boundary info

## ◆ optimized_lr

int RestorationInfo::optimized_lr

Whether optimized lr can be used for speed. That includes cases of no cdef and no superres, or if fast trial runs are used on the encoder side.

The documentation for this struct was generated from the following file:

- av1/common/restoration.h